using Infragistics.Controls.Interactions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DialogWindow_MessageBox
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public enum DialogIcons
        {
            Error,
            Warning,
            Information
        }

        XamDialogWindow winMB;


        public MainWindow()
        {
            InitializeComponent();
        }

        public void ShowDialog(DialogIcons icon)
        {
            winMB = new Infragistics.Controls.Interactions.XamDialogWindow() { Width = 350, Height = 200, StartupPosition = StartupPosition.Center, HeaderIconVisibility = Visibility.Collapsed };

            TextBlock msbLabel = new TextBlock { Text = "Do you want to change the background color to green?" };
            DockPanel.SetDock(msbLabel, Dock.Top);
            Button ok = new Button() { Content = "Custom Ok", Width = 100, Height = 25 };
            Button cancel = new Button() { Content = "Custom Cancel", Width = 100, Height = 25 };
            ok.Click += new RoutedEventHandler(ok_Click);
            cancel.Click += new RoutedEventHandler(cancel_Click);

            DockPanel dockPanel = new DockPanel();

            StackPanel panel = new StackPanel();
            panel.Orientation = Orientation.Horizontal;
            panel.Children.Add(ok);
            panel.Children.Add(cancel);
            panel.VerticalAlignment = VerticalAlignment.Bottom;
            panel.HorizontalAlignment = HorizontalAlignment.Center;
            panel.Margin = new Thickness(5);

            dockPanel.Children.Add(msbLabel);
            dockPanel.Children.Add(panel);

            winMB.HeaderTemplate = windowContainer.Resources[icon.ToString()] as DataTemplate;
            winMB.Content = dockPanel;
            winMB.IsModal = true;
            winMB.StartupPosition = StartupPosition.Center;
            this.windowContainer.Children.Add(winMB);
        }

      
       
        private void cancel_Click(object sender, RoutedEventArgs e)
        {
            this.winMB.Close();
        }

        private void ok_Click(object sender, RoutedEventArgs e)
        {
            windowContainer.Background = new SolidColorBrush(Colors.Green);
            this.winMB.Close();
        }

        private void show_Error_Click(object sender, RoutedEventArgs e)
        {
            ShowDialog(DialogIcons.Error);
        }

        private void show_Warning_Click(object sender, RoutedEventArgs e)
        {
            ShowDialog(DialogIcons.Warning);
        }

        private void show_Information_Click(object sender, RoutedEventArgs e)
        {
            ShowDialog(DialogIcons.Information);

        }
    }
}
